%define upstream_name    HTML-Widgets-SelectLayers
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl extension for selectable HTML layers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This module implements an HTML widget with multiple layers. Only one layer
is visible at any given time, controlled by a <SELECT> box. For an example
see http://www.420.am/selectlayers/

This HTML generated by this module uses JavaScript, but nevertheless
attempts to be as cross-browser as possible. The 0.05 release drops
Navigator 4 compatibility and has been tested under Mozilla Firefox 1.0.6,
MSIE 6.0, Konqueror 3.3.2, and Opera 8.0.2 (2006 note: still working under
newer browsers such as IE7, Firefox 2.0, etc.).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-7.mga6
+ Revision: 1028423
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.70.0-6.mga6
+ Revision: 943255
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-5.mga5
+ Revision: 739266
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-4.mga5
+ Revision: 684988
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-3.mga4
+ Revision: 512091
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 368245
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 shlomif <shlomif> 0.70.0-1.mga3
+ Revision: 304748
- imported package perl-HTML-Widgets-SelectLayers


* Fri Oct 12 2012 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
